#ifndef eckit_config_h
#define eckit_config_h

#include "eckit/eckit_ecbuild_config.h"

#include "eckit/eckit_version.h"

// endiness

#define eckit_BIG_ENDIAN 1
#define eckit_LITTLE_ENDIAN 0

// system

#define ECKIT_SIZEOF_TIME_T    8

#define eckit_HAVE_DLFCN_H 1
#define eckit_HAVE_DLADDR 1
#define eckit_HAVE_MAP_ANONYMOUS 1
#define eckit_HAVE_MAP_ANON 1
#define eckit_HAVE_FUNOPEN 0
#define eckit_HAVE_FSYNC 1
#define eckit_HAVE_FDATASYNC 1
#define eckit_HAVE_F_FULLFSYNC 0
#define eckit_HAVE_FMEMOPEN 1
#define eckit_HAVE_DLINFO 0
#define eckit_HAVE_FOPENCOOKIE 1
#define eckit_HAVE_EXECINFO_BACKTRACE 1
#define eckit_HAVE_CXXABI_H 1
#define eckit_HAVE_GMTIME_R 1
#define eckit_HAVE_READDIR_R 1
#define eckit_HAVE_DIRFD 1
#define eckit_HAVE_DIRENT_D_TYPE 1
#define eckit_HAVE_CXX_INT_128 1
#define eckit_HAVE_AIO 1
#define eckit_HAVE_UNICODE 1
#define eckit_HAVE_XXHASH 1

// external packages

#define eckit_HAVE_ARMADILLO 0
#define eckit_HAVE_CUDA 0
#define eckit_HAVE_EIGEN 1
#define eckit_HAVE_LAPACK 1
#define eckit_HAVE_VIENNACL 0
#define eckit_HAVE_OMP 1
#define eckit_HAVE_SSL 1
#define eckit_HAVE_CURL 1
#define eckit_HAVE_JEMALLOC 0
#define eckit_HAVE_MKL 0
#define eckit_HAVE_MPI 1

// Have we built certain libraries

#define eckit_HAVE_ECKIT_CMD 1
#define eckit_HAVE_ECKIT_SQL 1
#define eckit_HAVE_ECKIT_MPI 0

// Backward compatibility with atlas < 0.30.0
// Its use will be removed with ATLAS-367.
#define ECKIT_HAVE_MKL         0
#define ECKIT_HAVE_MPI         1
#define ECKIT_BIG_ENDIAN       1
#define ECKIT_LITTLE_ENDIAN    0

#endif // eckit_config_h
