/*
 * (C) Copyright 2011- ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.
 */

#ifndef ECKIT_ecbuild_config_h
#define ECKIT_ecbuild_config_h

/* ecbuild info */

#ifndef ECBUILD_VERSION_STR
#define ECBUILD_VERSION_STR "3.8.1"
#endif
#ifndef ECBUILD_VERSION
#define ECBUILD_VERSION "3.8.1"
#endif
#ifndef ECBUILD_MACROS_DIR
#define ECBUILD_MACROS_DIR  "/usr/share/ecbuild/cmake"
#endif

/* config info */

#define ECKIT_OS_NAME          "Linux-5.10.0-26-s390x"
#define ECKIT_OS_BITS          64
#define ECKIT_OS_BITS_STR      "64"
#define ECKIT_OS_STR           "linux.64"
#define ECKIT_OS_VERSION       "5.10.0-26-s390x"
#define ECKIT_SYS_PROCESSOR    "s390x"

#define ECKIT_BUILD_TIMESTAMP  "20231110100100"
#define ECKIT_BUILD_TYPE       "None"

#define ECKIT_C_COMPILER_ID      "GNU"
#define ECKIT_C_COMPILER_VERSION "13.2.0"

#define ECKIT_CXX_COMPILER_ID      "GNU"
#define ECKIT_CXX_COMPILER_VERSION "13.2.0"

#define ECKIT_C_COMPILER       "/usr/bin/cc"
#define ECKIT_C_FLAGS          "-g -O2 -ffile-prefix-map=/build/reproducible-path/eckit-1.24.5=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -pipe "

#define ECKIT_CXX_COMPILER     "/usr/bin/c++"
#define ECKIT_CXX_FLAGS        "-g -O2 -ffile-prefix-map=/build/reproducible-path/eckit-1.24.5=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -pipe -Wall -Wextra -Wno-unused-parameter -Wno-unused-variable -Wno-sign-compare "

/* Needed for finding per package config files */

#define ECKIT_INSTALL_DIR       "/usr"
#define ECKIT_INSTALL_BIN_DIR   "/usr/bin"
#define ECKIT_INSTALL_LIB_DIR   "/usr/lib/s390x-linux-gnu"
#define ECKIT_INSTALL_DATA_DIR  "/usr/share/eckit"

#define ECKIT_DEVELOPER_SRC_DIR "/build/reproducible-path/eckit-1.24.5"
#define ECKIT_DEVELOPER_BIN_DIR "/build/reproducible-path/eckit-1.24.5/obj-s390x-linux-gnu"

/* Fortran support */

#if 0

#define ECKIT_Fortran_COMPILER_ID      ""
#define ECKIT_Fortran_COMPILER_VERSION ""

#define ECKIT_Fortran_COMPILER ""
#define ECKIT_Fortran_FLAGS    ""

#endif

#endif /* ECKIT_ecbuild_config_h */
